<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__csdidac__functions" kind="group">
    <compoundname>group_csdidac_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__csdidac__functions_1ga2306e26e53cbc25c6dff0fd76bf39d49" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__csdidac__enums_1ga24fb43a86985211116353da8b9e2a24e">cy_en_csdidac_status_t</ref></type>
        <definition>cy_en_csdidac_status_t Cy_CSDIDAC_Init</definition>
        <argsstring>(const cy_stc_csdidac_config_t *config, cy_stc_csdidac_context_t *context)</argsstring>
        <name>Cy_CSDIDAC_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__csdidac__config__t">cy_stc_csdidac_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Captures the CSD HW block and configures it to the default state. </para>        </briefdescription>
        <detaileddescription>
<para>This function is called by the application program prior to calling any other middleware function.</para><para>Initializes the CSDIDAC middleware. Acquires, locks, and initializes the CSD HW block by using the low-level CSD driver. The function performs the following tasks:<itemizedlist>
<listitem><para>Verifies the input parameters. The CY_CSDIDAC_BAD_PARAM is returned if verification fails.</para></listitem><listitem><para>Acquires and locks the CSD HW block for use of the CSDIDAC, if the CSD HW block is in a free state.</para></listitem><listitem><para>If the CSD HW block is acquired, it is initialized with the CSDIDAC middleware by the default configuration. The output pins are not connected to the CSD HW block. The outputs are disabled and CY_CSDIDAC_SUCCESS is returned.</para></listitem></itemizedlist>
</para><para>To connect an output pin and enable an output current, the <ref kindref="member" refid="group__group__csdidac__functions_1gab98734d77671b95d22aed6976c843afe">Cy_CSDIDAC_OutputEnable()</ref> or <ref kindref="member" refid="group__group__csdidac__functions_1ga6248d5363e4b81a362b48392acb4a0b8">Cy_CSDIDAC_OutputEnableExt()</ref> functions are used. If there is no CSD HW block, the CY_CSDIDAC_HW_BUSY status is returned, and the CSDIDAC middleware waits for the CSD HW block to be in the idle state to initialize.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the configuration structure <ref kindref="compound" refid="structcy__stc__csdidac__config__t">cy_stc_csdidac_config_t</ref> that contains the CSDIDAC middleware initial configuration data generated by the CSD personality of the ModusToolbox Device Configurator tool.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CSDIDAC context structure <ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref> passed by the user. After the initialization, this structure contains both CSDIDAC configuration and internal data. It is used during the whole CSDIDAC operation.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The function returns the status of its operation.<itemizedlist>
<listitem><para>CY_CSDIDAC_SUCCESS - The operation is performed successfully.</para></listitem><listitem><para>CY_CSDIDAC_BAD_PARAM - The input pointer is NULL or an invalid parameter is passed.</para></listitem><listitem><para>CY_CSDIDAC_HW_LOCKED - The CSD HW block is already in use by other middleware.</para></listitem><listitem><para>CY_CSDIDAC_HW_FAILURE - The CSD HW block failure.</para></listitem><listitem><para>CY_CSDIDAC_BAD_CONFIGURATION - The CSDIDAC configuration structure initialization issue. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="243" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.c" bodystart="213" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="899" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__csdidac__functions_1ga6a7ca19ab7ade2cbc60e61186c18afcc" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__csdidac__enums_1ga24fb43a86985211116353da8b9e2a24e">cy_en_csdidac_status_t</ref></type>
        <definition>cy_en_csdidac_status_t Cy_CSDIDAC_DeInit</definition>
        <argsstring>(cy_stc_csdidac_context_t *context)</argsstring>
        <name>Cy_CSDIDAC_DeInit</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Stops the middleware operation and releases the CSD HW block. </para>        </briefdescription>
        <detaileddescription>
<para>If any output channel is enabled, it will be disabled and disconnected.</para><para>After the CSDIDAC middleware is stopped, the CSD HW block may be reconfigured by the application program or other middleware for any other usage.</para><para>When the middleware operation is stopped by the <ref kindref="member" refid="group__group__csdidac__functions_1ga6a7ca19ab7ade2cbc60e61186c18afcc">Cy_CSDIDAC_DeInit()</ref> function, a subsequent call of the <ref kindref="member" refid="group__group__csdidac__functions_1ga2306e26e53cbc25c6dff0fd76bf39d49">Cy_CSDIDAC_Init()</ref> function repeats the initialization process. However, to implement Time-multiplexed mode (sharing the CSD HW Block between multiple middleware), the <ref kindref="member" refid="group__group__csdidac__functions_1ga9533392a382045b3d9817569fbcd84d2">Cy_CSDIDAC_Save()</ref> and <ref kindref="member" refid="group__group__csdidac__functions_1gaf69c7fa3ab468bee95ecc92cc596f3ab">Cy_CSDIDAC_Restore()</ref> functions are used instead of the <ref kindref="member" refid="group__group__csdidac__functions_1ga6a7ca19ab7ade2cbc60e61186c18afcc">Cy_CSDIDAC_DeInit()</ref> and <ref kindref="member" refid="group__group__csdidac__functions_1ga2306e26e53cbc25c6dff0fd76bf39d49">Cy_CSDIDAC_Init()</ref> functions.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CSDIDAC context structure <ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The function returns the status of its operation.<itemizedlist>
<listitem><para>CY_CSDIDAC_SUCCESS - The operation is performed successfully.</para></listitem><listitem><para>CY_CSDIDAC_BAD_PARAM - The input pointer is NULL or an invalid parameter is passed.</para></listitem><listitem><para>CY_CSDIDAC_HW_LOCKED - The CSD HW block is already in use by other middleware.</para></listitem><listitem><para>CY_CSDIDAC_HW_FAILURE - A CSD HW block failure. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="281" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.c" bodystart="278" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="902" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__csdidac__functions_1ga3804f1672635662c79b24096f195bf46" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__csdidac__enums_1ga24fb43a86985211116353da8b9e2a24e">cy_en_csdidac_status_t</ref></type>
        <definition>cy_en_csdidac_status_t Cy_CSDIDAC_WriteConfig</definition>
        <argsstring>(const cy_stc_csdidac_config_t *config, cy_stc_csdidac_context_t *context)</argsstring>
        <name>Cy_CSDIDAC_WriteConfig</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__csdidac__config__t">cy_stc_csdidac_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Updates the CSDIDAC middleware with the desired configuration. </para>        </briefdescription>
        <detaileddescription>
<para>This function sets the desired CSDIDAC middleware configuration. The function performs the following:<itemizedlist>
<listitem><para>Verifies the input parameters</para></listitem><listitem><para>Verifies whether the CSD HW block is captured by the CSDIDAC middleware and that there are no active IDAC outputs.</para></listitem><listitem><para>Initializes the CSD HW block registers with data passed through the config parameter of this function if the above verifications are successful.</para></listitem><listitem><para>Returns the status code regarding the function execution result.</para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CSDIDAC configuration structure to be updated.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CSDIDAC context structure <ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The function returns the status of its operation.<itemizedlist>
<listitem><para>CY_CSDIDAC_SUCCESS - The operation is performed successfully.</para></listitem><listitem><para>CY_CSDIDAC_BAD_PARAM - The input pointer is NULL or an invalid parameter is passed.</para></listitem><listitem><para>CY_CSDIDAC_HW_BUSY - Any IDAC output is enabled. The operation cannot be completed.</para></listitem><listitem><para>CY_CSDIDAC_HW_LOCKED - The CSD HW block is already in use by other middleware.</para></listitem><listitem><para>CY_CSDIDAC_BAD_CONFIGURATION - The CSDIDAC configuration structure initialization issue. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="365" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.c" bodystart="319" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="904" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__csdidac__functions_1gaf456eb58309f99e2921ade09f47bdffe" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__csdidac__enums_1ga24fb43a86985211116353da8b9e2a24e">cy_en_csdidac_status_t</ref></type>
        <definition>cy_en_csdidac_status_t Cy_CSDIDAC_Wakeup</definition>
        <argsstring>(const cy_stc_csdidac_context_t *context)</argsstring>
        <name>Cy_CSDIDAC_Wakeup</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Provides a delay required for the CSD HW block to settle after a wakeup from CPU / System Deep Sleep. </para>        </briefdescription>
        <detaileddescription>
<para>This function provides a delay after exiting CPU / System Deep Sleep. After the CSD HW block has been powered off, an extra delay is required to establish the CSD HW block correct operation.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CSDIDAC context structure <ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The function returns the status of its operation.<itemizedlist>
<listitem><para>CY_CSDIDAC_SUCCESS - The operation is performed successfully.</para></listitem><listitem><para>CY_CSDIDAC_BAD_PARAM - The input pointer is NULL. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="399" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.c" bodystart="388" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="907" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__csdidac__functions_1ga462081bf4af5529dd249dc2d6f7cdf09" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_en_syspm_status_t</type>
        <definition>cy_en_syspm_status_t Cy_CSDIDAC_DeepSleepCallback</definition>
        <argsstring>(cy_stc_syspm_callback_params_t *callbackParams, cy_en_syspm_callback_mode_t mode)</argsstring>
        <name>Cy_CSDIDAC_DeepSleepCallback</name>
        <param>
          <type>cy_stc_syspm_callback_params_t *</type>
          <declname>callbackParams</declname>
        </param>
        <param>
          <type>cy_en_syspm_callback_mode_t</type>
          <declname>mode</declname>
        </param>
        <briefdescription>
<para>The callback function to prepare the CSDIDAC before entering CPU / System Deep Sleep. </para>        </briefdescription>
        <detaileddescription>
<para>This function handles CPU active to CPU / System Deep Sleep power mode transition for the CSDIDAC middleware. Calling this function directly from the application program is not recommended. Instead, Cy_SysPm_CpuEnterDeepSleep() is used for CPU active to CPU / System Deep Sleep power mode transition of the device. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;After the CPU Deep Sleep transition, the device automatically goes to System Deep Sleep if all conditions are fulfilled: another core is in CPU Deep Sleep, all the peripherals are ready to System Deep Sleep, etc. (see details in the device TRM).&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;For the CSDIDAC middleware correct operation during CPU active to CPU / System Deep Sleep mode transition, a callback to this API is registered using the Cy_SysPm_RegisterCallback() function with CY_SYSPM_DEEPSLEEP type. After the callback is registered, this function is called by the Cy_SysPm_CpuEnterDeepSleep() function to prepare the middleware for the device power mode transition.</verbatim></para><para>When this function is called with CY_SYSPM_CHECK_READY as an input, this function returns CY_SYSPM_SUCCESS if no output is enabled. Otherwise, CY_SYSPM_FAIL is returned. If CY_SYSPM_FAIL status is returned, a device cannot change power mode. To provide such a transition, the application program disables all the enabled IDAC outputs.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>callbackParams</parametername>
</parameternamelist>
<parameterdescription>
<para>Refer to the description of the cy_stc_syspm_callback_params_t type in the Peripheral Driver Library documentation.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mode</parametername>
</parameternamelist>
<parameterdescription>
<para>Refer to the description of the cy_en_syspm_callback_mode_t type in the Peripheral Driver Library documentation.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the operation requested by the mode parameter:<itemizedlist>
<listitem><para>CY_SYSPM_SUCCESS - CPU / System Deep Sleep power mode can be entered.</para></listitem><listitem><para>CY_SYSPM_FAIL - CPU / System Deep Sleep power mode cannot be entered. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="463" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.c" bodystart="446" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="909" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__csdidac__functions_1ga9533392a382045b3d9817569fbcd84d2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__csdidac__enums_1ga24fb43a86985211116353da8b9e2a24e">cy_en_csdidac_status_t</ref></type>
        <definition>cy_en_csdidac_status_t Cy_CSDIDAC_Save</definition>
        <argsstring>(cy_stc_csdidac_context_t *context)</argsstring>
        <name>Cy_CSDIDAC_Save</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Saves the state of the CSDIDAC middleware so the functionality can be restored later. </para>        </briefdescription>
        <detaileddescription>
<para>This function, along with <ref kindref="member" refid="group__group__csdidac__functions_1gaf69c7fa3ab468bee95ecc92cc596f3ab">Cy_CSDIDAC_Restore()</ref>, is specifically designed to support time multiplexing of the CSD HW block between multiple middleware. When the CSD HW block is shared by more than one middleware, this function can be used to save the current state of the CSDIDAC middleware and the CSD HW block prior to releasing the CSD HW block for use by other middleware.</para><para>This function performs the following operations:<itemizedlist>
<listitem><para>Saves the current configuration of the CSD HW block and CSDIDAC middleware.</para></listitem><listitem><para>Configures the output pins to the default state and disconnects them from the CSD HW block. Releases the CSD HW block.</para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CSDIDAC context structure <ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The function returns the status of its operation.<itemizedlist>
<listitem><para>CY_CSDIDAC_SUCCESS - The operation is performed successfully.</para></listitem><listitem><para>CY_CSDIDAC_BAD_PARAM - The input pointer is NULL or an invalid parameter is passed. The operation is not completed.</para></listitem><listitem><para>CY_CSDIDAC_HW_LOCKED - The CSD HW block is already in use by other middleware. The CSDIDAC middleware cannot save the state without the initialization or restore operation.</para></listitem><listitem><para>CY_CSDIDAC_HW_FAILURE - A CSD HW block failure. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="531" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.c" bodystart="499" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="912" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__csdidac__functions_1gaf69c7fa3ab468bee95ecc92cc596f3ab" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__csdidac__enums_1ga24fb43a86985211116353da8b9e2a24e">cy_en_csdidac_status_t</ref></type>
        <definition>cy_en_csdidac_status_t Cy_CSDIDAC_Restore</definition>
        <argsstring>(cy_stc_csdidac_context_t *context)</argsstring>
        <name>Cy_CSDIDAC_Restore</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Resumes the middleware operation if the <ref kindref="member" refid="group__group__csdidac__functions_1ga9533392a382045b3d9817569fbcd84d2">Cy_CSDIDAC_Save()</ref> function was called previously. </para>        </briefdescription>
        <detaileddescription>
<para>This function, along with the <ref kindref="member" refid="group__group__csdidac__functions_1ga9533392a382045b3d9817569fbcd84d2">Cy_CSDIDAC_Save()</ref> function, is specifically designed to support the CSD HW block time-multiplexing among multiple middleware. When the CSD HW block is shared by more than one middleware, this function can be used to restore the CSD HW block previous state and the CSDIDAC middleware saved using the <ref kindref="member" refid="group__group__csdidac__functions_1ga9533392a382045b3d9817569fbcd84d2">Cy_CSDIDAC_Save()</ref> function.</para><para>This function performs the <ref kindref="member" refid="group__group__csdidac__functions_1ga2306e26e53cbc25c6dff0fd76bf39d49">Cy_CSDIDAC_Init()</ref> function, part tasks namely captures the CSD HW block. Use the <ref kindref="member" refid="group__group__csdidac__functions_1ga9533392a382045b3d9817569fbcd84d2">Cy_CSDIDAC_Save()</ref> and <ref kindref="member" refid="group__group__csdidac__functions_1gaf69c7fa3ab468bee95ecc92cc596f3ab">Cy_CSDIDAC_Restore()</ref> functions to implement Time-multiplexed mode instead of using the <ref kindref="member" refid="group__group__csdidac__functions_1ga6a7ca19ab7ade2cbc60e61186c18afcc">Cy_CSDIDAC_DeInit()</ref> and <ref kindref="member" refid="group__group__csdidac__functions_1ga2306e26e53cbc25c6dff0fd76bf39d49">Cy_CSDIDAC_Init()</ref> functions.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CSDIDAC middleware context structure <ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The function returns the status of its operation.<itemizedlist>
<listitem><para>CY_CSDIDAC_SUCCESS - The operation is performed successfully.</para></listitem><listitem><para>CY_CSDIDAC_BAD_PARAM - The input pointer is NULL or an invalid parameter is passed.</para></listitem><listitem><para>CY_CSDIDAC_HW_LOCKED - The CSD HW block is already in use by another middleware.</para></listitem><listitem><para>CY_CSDIDAC_HW_FAILURE - The CSD HW block failure. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="627" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.c" bodystart="566" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="914" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__csdidac__functions_1gab98734d77671b95d22aed6976c843afe" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__csdidac__enums_1ga24fb43a86985211116353da8b9e2a24e">cy_en_csdidac_status_t</ref></type>
        <definition>cy_en_csdidac_status_t Cy_CSDIDAC_OutputEnable</definition>
        <argsstring>(cy_en_csdidac_choice_t ch, int32_t current, cy_stc_csdidac_context_t *context)</argsstring>
        <name>Cy_CSDIDAC_OutputEnable</name>
        <param>
          <type><ref kindref="member" refid="group__group__csdidac__enums_1ga50d76718e6bca3ac87f455c074cbbc10">cy_en_csdidac_choice_t</ref></type>
          <declname>ch</declname>
        </param>
        <param>
          <type>int32_t</type>
          <declname>current</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Enables an IDAC output with a specified current. </para>        </briefdescription>
        <detaileddescription>
<para>This function performs the following:<itemizedlist>
<listitem><para>Verifies the input parameters.</para></listitem><listitem><para>Identifies LSB and IDAC code required to generate the specified output current and configures the CSD HW block accordingly.</para></listitem><listitem><para>Configures and enables the CSDIDAC specified output and returns the status code.</para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ch</parametername>
</parameternamelist>
<parameterdescription>
<para>The CSDIDAC supports two outputs (A and B), this parameter specifies the output to be enabled.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>current</parametername>
</parameternamelist>
<parameterdescription>
<para>A current value for an IDAC output in nA with a sign. If the parameter is positive, a sourcing current is generated. If the parameter is negative, the sinking current is generated. The middleware identifies LSB and code values required to achieve the specified output current. The middleware chooses the minimum possible LSB to generate the current to minimize a quantization error. NOTE! the quantization error in the output current based on the LSB size (37.5/ 75/300/600/2400/4800 nA). For instance, if this function is called to set 123456 nA, the actual output current is rounded to the nearest value of multiple to 2400 nA, i.e 122400 nA. The absolute value of this parameter is in the range from 0x00u to <ref kindref="member" refid="group__group__csdidac__macros_1ga5975f4c5e4d22e842a4cd00128322e8b">CY_CSDIDAC_MAX_CURRENT_NA</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CSDIDAC middleware context structure <ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The function returns the status of its operation.<itemizedlist>
<listitem><para>CY_CSDIDAC_SUCCESS - The operation is performed successfully.</para></listitem><listitem><para>CY_CSDIDAC_BAD_PARAM - The input pointer is NULL or an invalid parameter is passed. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="736" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.c" bodystart="672" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="916" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__csdidac__functions_1ga6248d5363e4b81a362b48392acb4a0b8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__csdidac__enums_1ga24fb43a86985211116353da8b9e2a24e">cy_en_csdidac_status_t</ref></type>
        <definition>cy_en_csdidac_status_t Cy_CSDIDAC_OutputEnableExt</definition>
        <argsstring>(cy_en_csdidac_choice_t outputCh, cy_en_csdidac_polarity_t polarity, cy_en_csdidac_lsb_t lsbIndex, uint32_t idacCode, cy_stc_csdidac_context_t *context)</argsstring>
        <name>Cy_CSDIDAC_OutputEnableExt</name>
        <param>
          <type><ref kindref="member" refid="group__group__csdidac__enums_1ga50d76718e6bca3ac87f455c074cbbc10">cy_en_csdidac_choice_t</ref></type>
          <declname>outputCh</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__csdidac__enums_1ga3f1fec1e58163c038446d307985ae8a3">cy_en_csdidac_polarity_t</ref></type>
          <declname>polarity</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__csdidac__enums_1ga6a918f88641c524977f457bcfed6743e">cy_en_csdidac_lsb_t</ref></type>
          <declname>lsbIndex</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>idacCode</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Enables an IDAC output with the specified polarity, LSB, and IDAC code. </para>        </briefdescription>
        <detaileddescription>
<para>This function performs the following:<itemizedlist>
<listitem><para>Verifies the input parameters.</para></listitem><listitem><para>Configures and enables the specified output of CSDIDAC and returns the status code.</para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>outputCh</parametername>
</parameternamelist>
<parameterdescription>
<para>CSDIDAC supports two outputs, this parameter specifies the output to be enabled.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>polarity</parametername>
</parameternamelist>
<parameterdescription>
<para>The polarity to be set for the specified IDAC.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>lsbIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The LSB to be set for the specified IDAC.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>idacCode</parametername>
</parameternamelist>
<parameterdescription>
<para>The code value for the specified IDAC in the range from 0 u to <ref kindref="member" refid="group__group__csdidac__macros_1ga2d7dda94153fedc16256295b59e962cd">CY_CSDIDAC_MAX_CODE</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CSDIDAC middleware context structure <ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The function returns the status of its operation.<itemizedlist>
<listitem><para>CY_CSDIDAC_SUCCESS - The operation is performed successfully.</para></listitem><listitem><para>CY_CSDIDAC_BAD_PARAM - The input pointer is NULL or an invalid parameter is passed. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="849" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.c" bodystart="775" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="920" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__csdidac__functions_1ga7345b3e6b0090d3e53e68fd3f66ed09c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__csdidac__enums_1ga24fb43a86985211116353da8b9e2a24e">cy_en_csdidac_status_t</ref></type>
        <definition>cy_en_csdidac_status_t Cy_CSDIDAC_OutputDisable</definition>
        <argsstring>(cy_en_csdidac_choice_t ch, cy_stc_csdidac_context_t *context)</argsstring>
        <name>Cy_CSDIDAC_OutputDisable</name>
        <param>
          <type><ref kindref="member" refid="group__group__csdidac__enums_1ga50d76718e6bca3ac87f455c074cbbc10">cy_en_csdidac_choice_t</ref></type>
          <declname>ch</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Disables a specified IDAC output. </para>        </briefdescription>
        <detaileddescription>
<para>The function performs the following:<itemizedlist>
<listitem><para>Verifies the input parameters.</para></listitem><listitem><para>Disables the specified output of CSDIDAC and returns the status code.</para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ch</parametername>
</parameternamelist>
<parameterdescription>
<para>The channel to disconnect.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CSDIDAC middleware context structure <ref kindref="compound" refid="structcy__stc__csdidac__context__t">cy_stc_csdidac_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The function returns the status of its operation.<itemizedlist>
<listitem><para>CY_CSDIDAC_SUCCESS - The operation is performed successfully.</para></listitem><listitem><para>CY_CSDIDAC_BAD_PARAM - The input pointer is NULL or an invalid parameter is passed. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1015" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.c" bodystart="994" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-csdidac/cy_csdidac.h" line="926" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This section describes the CSDIDAC Function Prototypes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>